{: test that pred type error causes a compilation error }

program e1035( output );

type
   colour = ( black, brown, red, orange, yellow, green, blue, violet, grey, white);

var
   e : colour;
   n : integer;

begin { e1035 }

   e := black;
   n := 2;
   e := pred( n, 3); { !!! type error - colour := integer }
   writeln( 'pred error not detected' );
end. { e1035 }

